Subject: Re: [PATCH v3 2/2] config: add "worktree" and "worktree/i" includeIf conditions

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 13 May 2026 07:56:56 +0200

On Wed, May 13, 2026 at 10:47:48AM +0800, Chen Linxuan wrote:
> On Tue, 12 May 2026 09:14:03 +0200, Patrick Steinhardt wrote:
> > Just because it was explicitly mentioned: we might also want to have a
> > test that verifies this works with early-config parsing. We already have
> > a similar test for "gitdir:" in "conditional include, early config
> > reading".
> 
> As I wrote in the commit message, this is not going to work with
> early-config parsing. I am working on the fix. But I am not quite
> sure that this is a must-fix issue or not.

If it's not working we should have a test for this regardless, I think.
We should verify the current behaviour around it and either mark it as
`test_expect_success` if that behaviour is intended, or with
`test_expect_failure` if it's not.

Thanks!

Patrick